<app-home-toolbar></app-home-toolbar>
<ion-content class="ion-padding">
  <ion-grid>
    <ion-row class="ion-align-items-center">
      <ion-col size="12" size-md="6" class="ion-text-center">
        <ion-text color="dark">
          <h1 style="font-size: 40px">{{ 'Dwarpal.co.in' | translate }}</h1>
        </ion-text>
        <ion-text>
          <P>{{ 'Dwarpal.co.in offers you Society Management tool.' | translate }}</P>
          <p><a routerLink="/about">{{ 'More information about Dwarpal.co.in' | translate }}</a></p>
          <p><a routerLink="/support">{{ 'Dwarpal.co.in support forum' | translate }}</a></p>
          <p><a routerLink="/home">{{ 'Dwarpal.co.in home page' | translate }}</a></p>
        </ion-text>
        <ion-text>
          <P>{{ 'By signing up for and by signing in to this service you accept our:' | translate }}</P>
          <p><a routerLink="/tap_policy">{{ 'Privacy Policy' | translate }}</a></p>
          <p><a routerLink="/tap_policy">{{ 'Dwarpal.co.in Terms.' | translate }}</a></p>
        </ion-text>
      </ion-col>
      <ion-col size="12" size-md="6">
        <ion-card>
          <ion-card-header>
            <ion-card-title>{{ 'Login' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>

            <form [formGroup]="form" (ngSubmit)="login(form)" (keyup.enter)="login(form)" method="post">
              <ion-item>
                <ion-label position="floating">{{ 'Email' | translate }}</ion-label>
                <ion-input formControlName="username" type="text"></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('username').hasError('required') && form.get('username').touched">
                {{ 'This field is required*' | translate }}</div>
              <ion-item>
                <ion-label position="floating">{{ 'Password' | translate }}</ion-label>
                <ion-input formControlName="password" type="password"></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('password').hasError('required') && form.get('password').touched">
                {{ 'This field is required*' | translate }}</div>
              <div style="color: red" *ngIf="">{{ 'Username or Password is incorrect' | translate }}</div>
              <ion-grid>
                <ion-row>
                  <ion-col>
                    <div>
                      <ion-label>
                        <ion-checkbox slot="start" formControlName="keepMeLoggedIn"></ion-checkbox>
                        {{ 'Keep me logged in' | translate }}
                      </ion-label>
                    </div>
                  </ion-col>
                  <ion-col>
                    <div class="ion-text-right">
                      <a routerLink="/forgot-password">{{ 'Forgot Password?' | translate }}</a>
                    </div>
                  </ion-col>
                </ion-row>
              </ion-grid>

              <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">{{ 'Login' | translate }}
              </ion-button>

              <p class="ion-text-center">{{ 'Do not have a account?' | translate }}</p>
              <ion-button expand="full" color="danger" (click)="registerPage()">{{ 'Register' | translate }}
              </ion-button>

              <p class="ion-text-center">{{ 'Or' | translate }}</p>
              <ion-card-title>{{ 'Login with' | translate }}</ion-card-title>
              
              <ion-label>
                <ion-checkbox slot="start" formControlName="keepMeLoggedIn2"></ion-checkbox>
                {{ 'Keep me logged in' | translate }}
              </ion-label>
              <ion-button color="danger" expand="full" (click)="loginWithGoogle()">
                <ion-label>
                  <ion-icon name="logo-google"></ion-icon>
                  {{ 'Google' | translate }}
                </ion-label>
              </ion-button>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>